#Allegro configuration file for ASCD 0.91
#by Aley Keprt, 2001


#uncomment any of these lines to suppress autodetection of video card
#
# gfx_card = VGA      # Standard VGA (failsafe - equals to -novesa switch)
# gfx_card = VBE1     # VESA 1.x
# gfx_card = VB2B     # VBE 2.0 (banked)
# gfx_card = VB2L     # VBE 2.0 (linear)
# gfx_card = VBE3     # VBE 3.0
# gfx_card = VBAF     # VBE/AF

#vbeaf_driver = x
# Specifies where to look for the VBE/AF driver (vbeaf.drv). If this
# variable is not set, Allegro will look in the same directory as the
# program, and then fall back on the standard locations (c:\, or the
# directory specified with the VBEAF_PATH environment variable).


#select particular mouse driver if you have problems with mouse
#note: this is ignored in the current version
#
# mouse = MICK      # "Mickey" driver - default
# mouse = I33       # int33 driven (uses BIOS calls)
# mouse = POLL      # polling
# mouse = 0         # none (failsafe)



[sound]

#uncomment any of these lines to suppress autodetection of soundcard
#
# digi_card = 0     # none (failsafe)
# digi_card = SB    # Sound Blaster (autodetect breed)
# digi_card = SB10  # Sound Blaster 1.0
# digi_card = SB15  # Sound Blaster 1.5
# digi_card = SB20  # Sound Blaster 2.0
# digi_card = SBP   # Sound Blaster Pro
# digi_card = SB16  # Sound Blaster 16
# digi_card = ESS   # ESS AudioDrive
# digi_card = ESC   # Ensoniq Soundscape

sound_freq = 44100  # sample rate (lower values may speed up emulation, but not so much)

#note: this is ignored in the current version of Allegro
#      and set to stereo whenever possible
#sound_stereo = 1


[joystick]

#here you can specify type of your real joystick - you must also specify -joy to use it!
#
# joytype = STD     # standard 2-button joystick
# joytype = 2PAD    # two 2-button joysticks
# joytype = 4BUT    # 4-button joystick
# joytype = 6BUT    # 6-button joystick
# joytype = 8BUT    # 8-button joystick
# joytype = FPRO    # CH Flightstick Pro
# joytype = WING    # Logitech Wingman Extreme
# joytype = SW      # Microsoft Sidewinder
# joytype = SWAG    # Microsoft Sidewinder (alternative driver)
# joytype = GPRO    # Gravis GamePad Pro
# joytype = GRIP    # Gravis GrIP
# joytype = GRI4    # Gravis GrIP (constrained to 4 axes)
# joytype = SNE1    # SNES joypad connected to LPT1
# joytype = SNE2    # SNES joypad connected to LPT2
# joytype = SNE3    # SNES joypad connected to LPT3
# joytype = PSX1    # PSX joypad connected to LPT1
# joytype = PSX2    # PSX joypad connected to LPT2
# joytype = PSX3    # PSX joypad connected to LPT3
# joytype = N641    # N64 joypad connected to LPT1
# joytype = N642    # N64 joypad connected to LPT2
# joytype = N643    # N64 joypad connected to LPT3
# joytype = DB91    # pair of 2-button joysticks connected to LPT1 (Linux/Atari style)
# joytype = DB92    # pair of 2-button joysticks connected to LPT2 (Linux/Atari style)
# joytype = DB93    # pair of 2-button joysticks connected to LPT3 (Linux/Atari style)
# joytype = TGX1    # TurboGraFX interface connected to LPT1
# joytype = TGX2    # TurboGraFX interface connected to LPT2
# joytype = TGX3    # TurboGraFX interface connected to LPT3
# joytype = SEGI    # IF-SEGA joystick interface card (by IO-DATA) - ISA model
# joytype = SEGP    # IF-SEGA joystick interface card (by IO-DATA) - PCI model
# joytype = SGPF    # IF-SEGA joystick interface card (by IO-DATA) - PCI2 model
# joytype = WWAR    # Wingman Warrior
